Bug 441895 - Asterisk crashes with default phoneprov.conf
Asterisk crashes with default phoneprov.conf
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: asterisk (Show other bugs)
9
powerpc Linux
low Severity low
: ---
: ---
Assigned To: Jeffrey C. Ollie
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-10 13:43 EDT by W. Michael Petullo
Modified: 2008-09-06 11:00 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-06 11:00:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description W. Michael Petullo 2008-04-10 13:43:05 EDT
Description of problem:
Asterisk crashes on my PowerPC-based laptop.

Version-Release number of selected component (if applicable):
asterisk-1.6.0-0.12.beta7.1.fc9.ppc

How reproducible:
Every time

Steps to Reproduce:
1. Install asterisk
2. Run with "asterisk -d -f"
  
Actual results:
# asterisk -d -f
Parsing /etc/asterisk/asterisk.conf
Parsing /etc/asterisk/extconfig.conf
Parsing /etc/asterisk/logger.conf
[Apr 10 22:12:12] NOTICE[9003]: loader.c:869 load_modules: 1 modules will be loaded.
[Apr 10 22:12:12] NOTICE[9003]: cdr.c:1387 do_reload: CDR simple logging enabled.
[Apr 10 22:12:12] NOTICE[9003]: loader.c:869 load_modules: 144 modules will be
loaded.
 Dead                        Command   Description
[Apr 10 22:12:13] NOTICE[9003]: res_smdi.c:1257 load_module: No SMDI interfaces
are available to listen on, not starting SMDI listener.
Inconsistency detected by ld.so: dl-close.c: 344: _dl_close_worker: Assertion
`tmap->l_ns == nsid' failed!

Expected results:
Asterisk should not crash.

Additional info:
If I remove /etc/asterisk/phoneprov.conf, then asterisk runs fine.
Comment 1 Bug Zapper 2008-05-14 05:15:56 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 W. Michael Petullo 2008-09-06 11:00:18 EDT
Fixed in Rawhide: asterisk-1.6.0-0.21.beta9.fc10.

Note You need to log in before you can comment on or make changes to this bug.